#include <iostream>
#include <vector>

int main()
{
    int n;
    std::cin >> n;
    std::vector<int> a(n + 1);
    std::vector<int> b(n + 1);
    for (int i = 1; i < n + 1; i++) {
        if (i & 1) {
            a[i] = i;
            a[i + 1] = 2 * n - i + 1;
        }
        else {
            b[i - 1] = i;
            b[i] = 2 * n - i + 1;
        }
    }
    for (int i = 1; i < n + 1; i++) std::cout << a[i] << ' ';
    std::cout << std::endl;
    for (int i = 1; i < n + 1; i++) std::cout << b[i] << ' ';
 }